"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    CreateLeadDto: function() {
        return CreateLeadDto;
    },
    createLeadSchema: function() {
        return createLeadSchema;
    }
});
const _zodnestjs = require("@anatine/zod-nestjs");
const _zod = require("zod");
const createLeadSchema = _zod.z.object({
    email: _zod.z.string().email("invalid email format"),
    firstName: _zod.z.string(),
    lastName: _zod.z.string()
});
let CreateLeadDto = class CreateLeadDto extends (0, _zodnestjs.createZodDto)(createLeadSchema) {
};

//# sourceMappingURL=create-lead.dto.js.map