"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "LeadsController", {
    enumerable: true,
    get: function() {
        return LeadsController;
    }
});
const _common = require("@nestjs/common");
const _leadsservice = require("./leads.service");
const _createleaddto = require("./dto/create-lead.dto");
function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
function _ts_param(paramIndex, decorator) {
    return function(target, key) {
        decorator(target, key, paramIndex);
    };
}
let LeadsController = class LeadsController {
    create(createLeadDto) {
        return this.leadsService.create(createLeadDto);
    }
    constructor(leadsService){
        this.leadsService = leadsService;
    }
};
_ts_decorate([
    (0, _common.Post)(),
    _ts_param(0, (0, _common.Body)()),
    _ts_metadata("design:type", Function),
    _ts_metadata("design:paramtypes", [
        typeof _createleaddto.CreateLeadDto === "undefined" ? Object : _createleaddto.CreateLeadDto
    ]),
    _ts_metadata("design:returntype", void 0)
], LeadsController.prototype, "create", null);
LeadsController = _ts_decorate([
    (0, _common.Controller)("leads"),
    _ts_metadata("design:type", Function),
    _ts_metadata("design:paramtypes", [
        typeof _leadsservice.LeadsService === "undefined" ? Object : _leadsservice.LeadsService
    ])
], LeadsController);

//# sourceMappingURL=leads.controller.js.map