import { Email } from './../../email/entities/email.entity';
import { createZodDto } from "@anatine/zod-nestjs";
import { z } from "zod";


export const createLeadSchema = z.object({
  email: z.string().email("invalid email format"),
  firstName: z.string(),
  lastName:z.string()

});
export class CreateLeadDto extends createZodDto(createLeadSchema) {}

