import { Injectable } from "@nestjs/common";
import { CreateLeadDto } from "./dto/create-lead.dto";
import { PrismaService } from "../prisma/prisma.service";

@Injectable()
export class LeadsService {
  constructor(private readonly prismaService: PrismaService) {}
  create(payload: CreateLeadDto) {
    return this.prismaService.lead.create({
      data: payload
    });
  }
}
